#include <Arduino.h>

#include "pins.h"
#include "KlappenSteuerung.h"


void Ablauf();
void AblaufSekunde();

KlappenSteuerung klappe1 (M1A , M1B , M1SENSE , 5  );
//KlappenSteuerung klappe2 (M2A , M2B , M2SENSE , 2  );
//KlappenSteuerung klappe3 (M3A , M3B , M3SENSE , 23 );
//KlappenSteuerung klappe4 (M4A , M4B , M4SENSE , 1  );



void setup() {
  // put your setup code here, to run once:
  KlappenSteuerung::setup();
  pinMode(LED_BUILTIN , OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  KlappenSteuerung::loop();
  Ablauf();
}

void Ablauf(){
  static unsigned long alteZeit;
  static unsigned int summeZeit;
  unsigned long neueZeit;
  unsigned int deltaZeit;
  

  neueZeit = millis();
  deltaZeit = (unsigned int) (neueZeit - alteZeit);
  alteZeit = neueZeit;
  summeZeit += deltaZeit;

  if(summeZeit >= 1000){ // eine Sekunde
    summeZeit -= 1000;
    AblaufSekunde();  
  }

  
}

void AblaufSekunde(){
  static unsigned int sekunden;
  sekunden ++;
  //digitalWrite(LED_BUILTIN , !(sekunden & 3));
  switch(sekunden){
    case 1:
      klappe1.setOpen(true);
      break;

    case 11:
    klappe1.setOpen(false);
      break;

    case 20:
      sekunden = 0;
      break;
  }
}
